\include "italiano.ly"

\layout {
  \context { \Score
      \override TupletBracket #'transparent = ##t
      \override TupletNumber #'transparent = ##t }
}

\paper {
  ragged-last-bottom = ##f
  ragged-bottom = ##f
}

q = #(define-music-function (parser location m1 m2 m3 m4 m5) 
  (ly:music? ly:music? ly:music? ly:music? ly:music?)
  #{ \times 4/5 { $m1 $m2 $m3 $m4 $m5 } #})

droite = 
\relative {
#(override-auto-beam-setting '(end * * 4 4) 1 4 'Score)
#(override-auto-beam-setting '(end * * 4 4) 3 4 'Score)
 \clef bass
 \repeat volta 2 {
  \q mib,16-4 do-1 dod-2 re-3 mib-4
  \q mi-5 dod-1 re-2 red-3 mi-4
  \q fa-5 re-1 red mi fa
  \q fad-5 red-1 mi fa fad
  \q sol mi fa fad sol
  \q lab fa fad sol lab
  \q la fad sol sold la
  \q sib sol sold la sib
  \q si sold la lad si
  \q do la lad si do
  \q dod lad si sid dod
  \q re si do dod re }
 \mark \markup *)
 \clef treble
 \repeat volta 2 {
  \q do''-1 mib-5 re-4 reb-3 do-2
  \q si-1 re-5 reb do si
  \q sib-1 reb-5 do dob sib
  \q la do dob sib la
  \q lab dob sib la lab
  \q sol sib la lab sol
  \q fad la lab sol fad
  \q fa lab sol solb fa
  \q mi sol solb fa mi
  \q mib solb fa fab mib
  \q re fa fab mib re
  \q reb fab mib re reb }
 \mark \markup *)
 \clef bass
 do,,1 \bar "|."}

gauche = 
\relative {
#(override-auto-beam-setting '(end * * 4 4) 1 4 'Score)
#(override-auto-beam-setting '(end * * 4 4) 3 4 'Score)
 \clef bass
 \repeat volta 2 {
  \q mib,,16-2 do-5 dod-4 re-3 mib-2
  \q mi-1 dod-5 re-4 red-3 mi-2
  \q fa-1 re-5 red mi fa
  \q fad-1 red-5 mi fa fad
  \q sol mi fa fad sol
  \q lab fa fad sol lab
  \q la fad sol sold la
  \q sib sol sold la sib
  \q si sold la lad si
  \q do la lad si do
  \q dod lad si sid dod
  \q re si do dod re }
 \clef treble
 \repeat volta 2 {
  \q do''-4 mib-1 re-2 reb-3 do-4
  \q si-5 re-1 reb do si
  \q sib-5 reb-1 do dob sib
  \q la do dob sib la
  \q lab dob sib la lab
  \q sol sib la lab sol
  \q fad la lab sol fad
  \q fa lab sol solb fa
  \q mi sol solb fa mi
  \q mib solb fa fab mib
  \q re fa fab mib re
  \q reb fab mib re reb }
 \clef bass
 do,,1 }

\header {
  title = "Exercice"
  subtitle = "n°7"
  composer = "Johannes Brahms (1833-1897)"
  tagline = "Gravure : www.lilypond.org"
}

\score {
  \new PianoStaff
  <<
    \new Staff \droite
    \new Staff \gauche
  >>
}

\markup { * Les reprises ( :||: ) une ou deux octaves plus haut ou plus bas. }